> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kardinal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Request the update of the actor's MFA config



## OpenAPI

````yaml /openapi.yaml post /auth/mfa/request
openapi: 3.0.3
info:
  title: Kardinal ARO API
  version: 2.55.0
  description: This document specifies the REST API of Kardinal ARO v2.
  contact:
    url: https://kardinal.ai/
    email: contact@kardinal.ai
servers:
  - url: /api/v2
security:
  - access_token: []
tags:
  - name: Authenticate
    description: How to authenticate, and manage the access and refresh tokens.
  - name: Plan
    description: How to create, retrieve, update and delete plans.
  - name: Resource
    description: How to create, retrieve, update and delete resources in a plan.
  - name: Order
    description: How to create, retrieve, update and delete orders in a plan.
  - name: SimplePlan
    description: How to create a plan through the use of a simple plan.
paths:
  /auth/mfa/request:
    post:
      tags:
        - Authenticate
      summary: Request the update of the actor's MFA config
      operationId: requestMFAConfigUpdate
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/MFAConfigRequestEmail'
                - $ref: '#/components/schemas/MFAConfigRequestSMS'
                - $ref: '#/components/schemas/MFAConfigRequestTOTP'
      responses:
        '200':
          description: The OTP token valid for 10 minutes.
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/EnvelopedMFARequestOTPOutput'
                  - $ref: '#/components/schemas/EnvelopedMFARequestTOTPOutput'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/NotAuthenticated'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    MFAConfigRequestEmail:
      type: object
      description: >-
        A request to update or disable the OTP type "email" in the user's MFA
        configuration.
      properties:
        otpType:
          type: string
          enum:
            - email
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        email:
          $ref: '#/components/schemas/Email'
        password:
          $ref: '#/components/schemas/Password'
      required:
        - otpType
        - email
        - password
    MFAConfigRequestSMS:
      type: object
      description: >-
        A request to update or disable the OTP type "sms" in the user's MFA
        configuration.
      properties:
        otpType:
          type: string
          enum:
            - sms
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        phoneNumber:
          $ref: '#/components/schemas/PhoneNumber'
        password:
          $ref: '#/components/schemas/Password'
      required:
        - otpType
        - phoneNumber
        - password
    MFAConfigRequestTOTP:
      type: object
      description: >-
        A request to update or disable the OTP type "totp" in the user's MFA
        configuration.
      properties:
        otpType:
          type: string
          enum:
            - totp
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        password:
          $ref: '#/components/schemas/Password'
      required:
        - otpType
        - password
    EnvelopedMFARequestOTPOutput:
      type: object
      description: A JWT token with scope 'otp' valid for 10 minutes.
      properties:
        item:
          type: object
          properties:
            otpToken:
              $ref: '#/components/schemas/OTPToken'
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    EnvelopedMFARequestTOTPOutput:
      type: object
      description: >-
        A JWT token with scope 'otp' valid for 10 minutes, together with a TOTP
        config.
      properties:
        item:
          type: object
          properties:
            otpToken:
              $ref: '#/components/schemas/OTPToken'
            totpConfig:
              $ref: '#/components/schemas/TOTPConfig'
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    Email:
      type: string
      description: A valid email address.
      format: email
      example: martin.dupont@kardinal.ai
    Password:
      type: string
      format: password
      description: |
        A user password must contain at least:
        - 1 number,
        - 1 uppercase letter,
        - 1 lowercase letter,
        - 1 special character amongst the following:
          !"#$%&'()*+,-./:;<=>?@[]^_`{|}~
        - 12 characters.
        And it must not exceed 72 bytes.
      allOf:
        - type: string
          pattern: .*[0-9]{1}
        - type: string
          pattern: .*[A-Z]{1}
        - type: string
          pattern: .*[a-z]{1}
        - type: string
          pattern: .*[!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~]{1}
        - type: string
          pattern: ^.{12,72}$
    PhoneNumber:
      type: string
      description: Phone number in E.164 international format (e.g., +33612345678).
      pattern: ^\+[1-9]\d{1,14}$
      example: '+33612345678'
    OTPToken:
      type: string
      description: >-
        A JSON Web Token with scope 'otp', to be used with an OTP (One-Time
        Password) value, valid for 10 minutes.
      example: eyJhbGciOiJFZERTQSJ9.eyJhdW...QwOJAQ
    TOTPConfig:
      type: object
      nullable: true
      properties:
        secret:
          type: string
          example: J5GEMOCTHFLDER22JU3DIRKDJJMEOOJZ
          description: A 32-characters secret code.
        url:
          type: string
          example: >-
            otpauth://totp/Kardinal:foobar?algorithm=SHA1&digits=6&issuer=Kardinal&period=30&secret=J5GE...OJZ
          description: The TOTP auth protocol url.
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    EnvelopedErrors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    Error:
      type: object
      readOnly: true
      properties:
        code:
          type: string
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        message:
          type: string
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        properties:
          $ref: '#/components/schemas/ErrorProperties'
      required:
        - message
        - code
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    ErrorProperties:
      type: object
      additionalProperties:
        type: string
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
  responses:
    BadRequest:
      description: >-
        The server could not understand the request due to invalid content (bad
        syntax, bad format, bad values, etc).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
    NotAuthenticated:
      description: The caller is not authenticated.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
    Forbidden:
      description: The caller is not allowed to perform this action.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
    InternalServerError:
      description: An internal server error has occurred.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
  securitySchemes:
    access_token:
      type: http
      scheme: bearer
      bearerFormat: JWT

````